¿Qué hacer ante la iminente salida del Jailbreak de iOS 5.0.1?

39.733 194
 #1
Escrito (Editado )  0  0  
Artículo original: Debes estar logueado para poder ver los enlaces.

Pod2g sigue avanzando en su desarrollo del Jailbreak Untethered para iOS 5. Todas sus últimas pruebas son con iOS 5.0.1, de modo que todo parece indicar que esa será la versión de iOS que va a ser válida para el Jailbreak. Ya lo tiene para el iPhone 4 y 3GS, iPod Touch 4 y 3 y para iPad 1G. Parece que está ya casi listo para el iPhone 4S después de unos pequeños problemas, y nos queda que diga algo sobre el iPad 2G. Con todo esto, y con la inminente salida de iOS 5.1 (ya va por la segunda beta) que no sabemos si será compatible con el Jailbreak, lo mejor que podemos hacer es asegurarnos que nuestros dispositivos puedan actualizar a 5.0.1 sin problemas, ya que en cuanto Apple saque iOS 5.1 dejará de firmar 5.0.1 y no podremos instalarla oficialmente. ¿Qué podemos hacer para asegurarnos de poder hacer Jailbreak?

Por lo pronto, y tengas el dispositivo que tengas, descarga la última versión de TinyUmbrella (5.10.01) y guarda los SHSH de 5.0.1 mientras que Apple lo firme (tienes el tutorial en Debes estar logueado para poder ver los enlaces.). Esas SHSH y APTickets que TinyUmbrella guarda son fundamentales para instalar los firmwares siempre que lo necesites, independientemente de que Apple los firme o no.

Ya tengo guardadas las SHSH con TinyUmbrella. ¿Y ahora qué? Pues todo depende del dispositivo que tengas:

iPhone 4/3GS, iPad 1G, iPod Touch 4G/3G


  • Con esas SHSH puedes usar iFaith o RedSn0w para crear un firmware de 5.0.1 firmado, que podrás instalar siempre que quieras. ¿Cómo? Debes estar logueado para poder ver los enlaces. tienes el tutorial de ambos programas. Es lo más recomendable, siempre te servirá ese firmware para poder restaurar tu dispositivo ante cualquier problema.
  • Después de crear ese firmware, si quieres puedes subir a 5.0.1 y esperar a que salga el Jailbreak, o esperarte en la versión que tú quieras. Teniendo el firmware firmado, no debes preocuparte de nada más.


iPhone 4S e iPad 2G


  • Ni iFaith ni Redsn0w son aún compatibles con estos dispositivos en iOS 5, de modo que no puedes crear un firmware firmado de 5.0.1 que te asegure poder instalarlo siempre que quieras. Hasta que no salga un exploit a nivel de bootrom (como Limera1n que lo permite en los otros dispositivos) no se podrá hacer.
  • Tu única esperanza por lo tanto es subir a 5.0.1 y esperar pacientemente a que salga el Jailbreak de 5.0.1. ¿Seguro que saldrá para 5.0.1? Pues según todo lo que el propio pod2g nos cuenta, parece que sí. De hecho en el 4S ya lo ha conseguido, y en el iPad 2G que comparte procesador con el iPhone 4S no debería haber por lo tanto problemas.
  • ¿Y si me quedo en iOS 5.0? Puede que el Jailbreak funcione en esa versión, pero seguramente no. Que los exploits sean compatibles funcionen en 5.0 no significa que el jailbreak funcione en esa versión, ya que cada versión de iOS requiere algunas modificaciones. Tienes el ejemplo de Redsn0w, con cada versión de iOS debe actualizarse, a pesar de que todas son sensibles al mismo exploit, Limera1n.
  • Si tienes un iPad 2 tienes una vía de escape: RedSn0w puede firmar 4.3.3 para iPad 2 siempre que tengas las SHSH. De modo que si luego quieres volver a 4.3.3 podrás hacerlo sin problemas. En tal caso, crear el firmware firmado de 4.3.3 (tutorial Debes estar logueado para poder ver los enlaces.) y luego sube a 5.0.1, y espera paciente.

Estas son mis recomendaciones, cualquier otra puede ser válida, y como cualquiera, puedo equivocarme. Está en tí la decisión final, yo sólo quiero informarte de las posibilidades que tienes.

Aficionado a la informática gracias a Mac
 #2
Escrito   0  0  
Gracias por la info, lastima que iFaith no este para Mac.

Saludos.

Buscando......
 #3
Escrito   0  0  
Muchas gracias por la información, aunque tengo un par de dudas.
Tengo un iPhone 4 en versión 4.3.3 con jail y un custom iOS hecho con iFaith de esta versión, ya que Tinyumbrella no me guardaba las SHSH de mi versión

1º, Ya me bajé Tinyumbrella, versión 5.01 para Mac, y tengo guardado las SHSH de 4.3.5 y 5.0.1. Ahora me salta una actualización de Tinyumbrella v. 5.1.10. ¿Que hay de nuevo de esta versión?. Debería actualizar la aplicación y volver hacer lo de las SHSH?.

2º Has puesto los supuestos ejemplos a los que tienen ipad y iphone, pero por ejemplo en mi caso los que tenemos iPhone 4 en 4.3.3, ¿que debemos hacer?¿nos quedamos como estamos o actualizamos ya?

Muchas gracias
 #4
Escrito   0  0  
pues eso puedes hacerlo en otro pc o tuyo o de algun amigo firmas, te creas el custom firw. y cuando lo tengas hecho lo metes en un pendrive y lo pones en el mac y DFU con Redsn0w y restauras el FW firmado con Alt+restaurar. y asi puedes hacerlo un pequeño truco pero que funciona,,jejejej espero os sirva pues a mi me ha servido....jjejeje saludos..

 iMac 27" Mouse + Apple Wireless Keyboard
 Apple tv
 iPhone 6 S Plus 64GB
 Ipad Mini 2 16GB
 iPod Clasic 160GB
 MacBook Pro 15, 2,8 500gb
 Ipod nano 6º generacion + correa Lunatik.
 Ipad 3G 64GB LIBRE
 APPLE TV 4 64GB
 #5
Escrito   0  0  
y yo que tengo la 4.3.3 que hago?subo a la 5.0.1?
 #6
Escrito   0  0  
Me respondo, he actualizado Tinyumbrella a la ultima versión en Mac y he vueltos a guardar los SHSH. En esta versión, ya no guarda las de la 4.3.5 (bueno algo insignificante ya que esta versión no servía de nada), pero me ha vuelto a guardar las de la 5.0.1 y algo nuevo: las de las 5.1b1 ¿? ¿que significa esto, que ya guarda las del próximo IOS, o es una versión beta?
 #7
Escrito   0  0  
yo tengo un iPad 2 con iOs 5.0.1 asique directamente me quedo quieto y a la espera del regalo navideño jejeje

- Murcianico Style -
 #8
Escrito   0  0  
Esa nueva versión que te ha guardado es la de la primera beta de iOS 5.1, realmente no aporta nada.

Aficionado a la informática gracias a Mac
 #9
Escrito   0  0  
quote:
Originalmente escrito por pichuli78
y yo que tengo la 4.3.3 que hago?subo a la 5.0.1?

Mira de nuevo el primer post, que estaba mal estructurado, a ver si ahora lo ves más claro.

Aficionado a la informática gracias a Mac
 #10
Escrito   0  0  
quote:
Originalmente escrito por PEDIATRUCH
Mira de nuevo el primer post, que estaba mal estructurado, a ver si ahora lo ves más claro.

ok,pero es un poco coñazo,subir a la 5.0.1 y si no sale nada bajar otra vez,con el trabajo de instalar todo de nuevo,pero bueno el que algo quiere algo le cuesta
Volver a iOS